Subject: Re: [PATCH] vdpa/mlx5: set_features should allow reset to zero

From: "Michael S. Tsirkin" <[email-masked]>
Date: Sun, 28 Feb 2021 16:27:23 -0500

On Thu, Feb 25, 2021 at 04:56:42PM -0800, Si-Wei Liu wrote:
> 
> Hi Michael,
> 
> Are you okay to live without this ioctl for now? I think QEMU is the one
> that needs to be fixed and will have to be made legacy guest aware. I think
> the kernel can just honor the feature negotiation result done by QEMU and do
> as what's told to.Will you agree?
> 
> If it's fine, I would proceed to reverting commit fe36cbe067 and related
> code in question from the kernel.
> 
> Thanks,
> -Siwei

Not really, I don't see why that's a good idea.  fe36cbe067 is the code
checking MTU before FEATURES_OK. Spec explicitly allows that.

-- 
MST